// 013 u_ib_select
// 25 mar 2004

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com

(*$r+*)
unit u_ib_select;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Db, DBTables, Grids, DBGrids, ComCtrls,
  IBCustomDataSet, IBQuery, IBDatabase, IBTable;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    DataSource1: TDataSource;
    IBTransaction1: TIBTransaction;
    IBQuery1: TIBQuery;
    Panel4: TPanel;
    Memo1: TMemo;
    DBGrid1: TDBGrid;
    select_edit_: TButton;
    select_: TButton;
    sql_edit_: TEdit;
    IBDatabase1: TIBDatabase;
    procedure FormCreate(Sender: TObject);
    procedure select_edit_Click(Sender: TObject);
    procedure select_Click(Sender: TObject);
    procedure connect_Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation
  uses u_c_log, u_c_display
    ;

    {$R *.DFM}


    const k_select_sql= 'SELECT * FROM formations';

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_default_log;

        sql_edit_.Text:= k_select_sql;
      end; // FormCreate

    procedure TForm1.connect_Click(Sender: TObject);
      begin
        IbDatabase1.Open;
      end; // connect_Click

    procedure TForm1.select_edit_Click(Sender: TObject);
      begin
        IbDatabase1.Open;

        with IbQuery1 do
        begin
          Close;

          with Sql do
          begin
            Clear;
            Add(sql_edit_.Text);
          end;

          display_strings(Sql);

          Open;
        end; // with IbQuery1
      end; // update_edit_Click

    procedure TForm1.select_Click(Sender: TObject);
      begin
        IbDatabase1.Open;

        with IbQuery1 do
        begin
          Close;

          with Sql do
          begin
            Clear;
            Add('Select * from formations');
            Open;
          end; // with Sql  
        end; // with IbQuery1
      end; // select_Click

end.


